Gentoo Archives: gentoo-commits

From: "Zac Medico (zmedico)" <zmedico@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-apps/portage: ChangeLog portage-2.1.9.13.ebuild
Date: Fri, 01 Oct 2010 17:14:24
Message-Id: 20101001171412.DF9C020051@flycatcher.gentoo.org
1 zmedico 10/10/01 17:14:12
2
3 Modified: ChangeLog
4 Added: portage-2.1.9.13.ebuild
5 Log:
6 2.1.9.13 version bump. This fixes bug #339015 (--exclude support for
7 --depclean and --prune). This also fixes a regression that makes
8 ebuild(1) fail when calling the 'package' phase. Bug #335925 tracks
9 all bugs fixed since 2.1.8.x.
10
11 (Portage version: 2.1.9.13/cvs/Linux i686)
12
13 Revision Changes Path
14 1.741 sys-apps/portage/ChangeLog
15
16 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.741&view=markup
17 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?rev=1.741&content-type=text/plain
18 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/ChangeLog?r1=1.740&r2=1.741
19
20 Index: ChangeLog
21 ===================================================================
22 RCS file: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v
23 retrieving revision 1.740
24 retrieving revision 1.741
25 diff -u -r1.740 -r1.741
26 --- ChangeLog 30 Sep 2010 18:49:39 -0000 1.740
27 +++ ChangeLog 1 Oct 2010 17:14:12 -0000 1.741
28 @@ -1,6 +1,14 @@
29 # ChangeLog for sys-apps/portage
30 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
31 -# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.740 2010/09/30 18:49:39 zmedico Exp $
32 +# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.741 2010/10/01 17:14:12 zmedico Exp $
33 +
34 +*portage-2.1.9.13 (01 Oct 2010)
35 +
36 + 01 Oct 2010; Zac Medico <zmedico@g.o> +portage-2.1.9.13.ebuild:
37 + 2.1.9.13 version bump. This fixes bug #339015 (--exclude support for
38 + --depclean and --prune). This also fixes a regression that makes
39 + ebuild(1) fail when calling the 'package' phase. Bug #335925 tracks
40 + all bugs fixed since 2.1.8.x.
41
42 30 Sep 2010; Zac Medico <zmedico@g.o> -portage-2.1.9.9.ebuild,
43 -portage-2.1.9.10.ebuild, -portage-2.1.9.11.ebuild,
44
45
46
47 1.1 sys-apps/portage/portage-2.1.9.13.ebuild
48
49 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-2.1.9.13.ebuild?rev=1.1&view=markup
50 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/portage/portage-2.1.9.13.ebuild?rev=1.1&content-type=text/plain
51
52 Index: portage-2.1.9.13.ebuild
53 ===================================================================
54 # Copyright 1999-2010 Gentoo Foundation
55 # Distributed under the terms of the GNU General Public License v2
56 # $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.1.9.13.ebuild,v 1.1 2010/10/01 17:14:12 zmedico Exp $
57
58 # Require EAPI 2 since we now require at least python-2.6 (for python 3
59 # syntax support) which also requires EAPI 2.
60 EAPI=2
61 inherit eutils multilib python
62
63 DESCRIPTION="Portage is the package management and distribution system for Gentoo"
64 HOMEPAGE="http://www.gentoo.org/proj/en/portage/index.xml"
65 LICENSE="GPL-2"
66 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
67 PROVIDE="virtual/portage"
68 SLOT="0"
69 IUSE="build doc epydoc linguas_pl python3 selinux"
70
71 python_dep="python3? ( =dev-lang/python-3* )
72 !python3? (
73 build? ( || ( dev-lang/python:2.8 dev-lang/python:2.7 dev-lang/python:2.6 ) )
74 !build? ( || ( dev-lang/python:2.8 dev-lang/python:2.7 dev-lang/python:2.6 >=dev-lang/python-3 ) )
75 )"
76
77 # The pysqlite blocker is for bug #282760.
78 DEPEND="${python_dep}
79 !build? ( >=sys-apps/sed-4.0.5 )
80 doc? ( app-text/xmlto ~app-text/docbook-xml-dtd-4.4 )
81 epydoc? ( >=dev-python/epydoc-2.0 !<=dev-python/pysqlite-2.4.1 )"
82
83 RDEPEND="${python_dep}
84 !build? ( >=sys-apps/sed-4.0.5
85 >=app-shells/bash-3.2_p17
86 >=app-admin/eselect-1.2 )
87 elibc_FreeBSD? ( sys-freebsd/freebsd-bin )
88 elibc_glibc? ( >=sys-apps/sandbox-1.6 )
89 elibc_uclibc? ( >=sys-apps/sandbox-1.6 )
90 >=app-misc/pax-utils-0.1.17
91 selinux? ( sys-libs/libselinux )
92 !<app-shells/bash-3.2_p17"
93 PDEPEND="
94 !build? (
95 >=net-misc/rsync-2.6.4
96 userland_GNU? ( >=sys-apps/coreutils-6.4 )
97 )"
98 # coreutils-6.4 rdep is for date format in emerge-webrsync #164532
99 # rsync-2.6.4 rdep is for the --filter option #167668
100
101 SRC_ARCHIVES="http://dev.gentoo.org/~zmedico/portage/archives"
102
103 prefix_src_archives() {
104 local x y
105 for x in ${@}; do
106 for y in ${SRC_ARCHIVES}; do
107 echo ${y}/${x}
108 done
109 done
110 }
111
112 PV_PL="2.1.2"
113 PATCHVER_PL=""
114 TARBALL_PV=2.1.9
115 SRC_URI="mirror://gentoo/${PN}-${TARBALL_PV}.tar.bz2
116 $(prefix_src_archives ${PN}-${TARBALL_PV}.tar.bz2)
117 linguas_pl? ( mirror://gentoo/${PN}-man-pl-${PV_PL}.tar.bz2
118 $(prefix_src_archives ${PN}-man-pl-${PV_PL}.tar.bz2) )"
119
120 PATCHVER=$PV
121 if [ -n "${PATCHVER}" ]; then
122 SRC_URI="${SRC_URI} mirror://gentoo/${PN}-${PATCHVER}.patch.bz2
123 $(prefix_src_archives ${PN}-${PATCHVER}.patch.bz2)"
124 fi
125
126 S="${WORKDIR}"/${PN}-${TARBALL_PV}
127 S_PL="${WORKDIR}"/${PN}-${PV_PL}
128
129 compatible_python_is_selected() {
130 [[ $(/usr/bin/python -c 'import sys ; sys.stdout.write(sys.hexversion >= 0x2060000 and "good" or "bad")') = good ]]
131 }
132
133 pkg_setup() {
134 if ! use python3 && ! compatible_python_is_selected ; then
135 ewarn "Attempting to select a compatible default python interpreter"
136 local x success=0
137 for x in /usr/bin/python2.* ; do
138 x=${x#/usr/bin/python2.}
139 if [[ $x -ge 6 ]] 2>/dev/null ; then
140 eselect python set python2.$x
141 if compatible_python_is_selected ; then
142 elog "Default python interpreter is now set to python-2.$x"
143 success=1
144 break
145 fi
146 fi
147 done
148 if [ $success != 1 ] ; then
149 eerror "Unable to select a compatible default python interpreter!"
150 die "This version of portage requires at least python-2.6 to be selected as the default python interpreter (see \`eselect python --help\`)."
151 fi
152 fi
153
154 if use python3; then
155 python_set_active_version 3
156 fi
157 }
158
159 src_prepare() {
160 if [ -n "${PATCHVER}" ] ; then
161 if [[ -L $S/bin/ebuild-helpers/portageq ]] ; then
162 rm "$S/bin/ebuild-helpers/portageq" \
163 || die "failed to remove portageq helper symlink"
164 fi
165 epatch "${WORKDIR}/${PN}-${PATCHVER}.patch"
166 fi
167 einfo "Setting portage.VERSION to ${PVR} ..."
168 sed -e "s/^VERSION=.*/VERSION=\"${PVR}\"/" -i pym/portage/__init__.py || \
169 die "Failed to patch portage.VERSION"
170 sed -e "1s/VERSION/${PVR}/" -i doc/fragment/version || \
171 die "Failed to patch VERSION in doc/fragment/version"
172 sed -e "1s/VERSION/${PVR}/" -i man/* || \
173 die "Failed to patch VERSION in man page headers"
174
175 if use python3; then
176 python_convert_shebangs -r 3 .
177 fi
178 }
179
180 src_compile() {
181 if use doc; then
182 cd "${S}"/doc
183 touch fragment/date
184 make xhtml xhtml-nochunks || die "failed to make docs"
185 fi
186
187 if use epydoc; then
188 einfo "Generating api docs"
189 mkdir "${WORKDIR}"/api
190 local my_modules epydoc_opts=""
191 my_modules="$(find "${S}/pym" -name "*.py" \
192 | sed -e 's:/__init__.py$::' -e 's:\.py$::' -e "s:^${S}/pym/::" \
193 -e 's:/:.:g' | sort)" || die "error listing modules"
194 # workaround for bug 282760
195 > "$S/pym/pysqlite2.py"
196 PYTHONPATH=${S}/pym:${PYTHONPATH:+:}${PYTHONPATH} \
197 epydoc -o "${WORKDIR}"/api \
198 -qqqqq --no-frames --show-imports $epydoc_opts \
199 --name "${PN}" --url "${HOMEPAGE}" \
200 ${my_modules} || die "epydoc failed"
201 rm "$S/pym/pysqlite2.py"
202 fi
203 }
204
205 src_test() {
206 # make files executable, in case they were created by patch
207 find bin -type f | xargs chmod +x
208 PYTHONPATH=${S}/pym:${PYTHONPATH:+:}${PYTHONPATH} \
209 ./pym/portage/tests/runTests || die "test(s) failed"
210 }
211
212 src_install() {
213 local libdir=$(get_libdir)
214 local portage_base="/usr/${libdir}/portage"
215 local portage_share_config=/usr/share/portage/config
216
217 cd "${S}"/cnf
218 insinto /etc
219 doins etc-update.conf dispatch-conf.conf || die
220
221 insinto "$portage_share_config"
222 doins "$S/cnf/make.globals" || die
223 if [ -f "make.conf.${ARCH}".diff ]; then
224 patch make.conf "make.conf.${ARCH}".diff || \
225 die "Failed to patch make.conf.example"
226 newins make.conf make.conf.example || die
227 else
228 eerror ""
229 eerror "Portage does not have an arch-specific configuration for this arch."
230 eerror "Please notify the arch maintainer about this issue. Using generic."
231 eerror ""
232 newins make.conf make.conf.example || die
233 fi
234
235 dosym ..${portage_share_config}/make.globals /etc/make.globals
236
237 insinto /etc/logrotate.d
238 doins "${S}"/cnf/logrotate.d/elog-save-summary || die
239
240 # BSD and OSX need a sed wrapper so that find/xargs work properly
241 if use userland_GNU; then
242 rm "${S}"/bin/ebuild-helpers/sed || die "Failed to remove sed wrapper"
243 fi
244
245 local x symlinks
246
247 cd "$S" || die "cd failed"
248 for x in $(find bin -type d) ; do
249 exeinto $portage_base/$x || die "exeinto failed"
250 cd "$S"/$x || die "cd failed"
251 doexe $(find . -mindepth 1 -maxdepth 1 -type f ! -type l) || \
252 die "doexe failed"
253 symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
254 if [ -n "$symlinks" ] ; then
255 cp -P $symlinks "$D$portage_base/$x" || die "cp failed"
256 fi
257 done
258
259 # create this manually until it's in a release tarball
260 dosym ../../banned-helper $portage_base/bin/ebuild-helpers/4/prepalldocs
261
262 cd "$S" || die "cd failed"
263 for x in $(find pym/* -type d) ; do
264 insinto $portage_base/$x || die "insinto failed"
265 cd "$S"/$x || die "cd failed"
266 # __pycache__ directories contain no py files
267 [[ "*.py" != $(echo *.py) ]] || continue
268 doins *.py || die "doins failed"
269 symlinks=$(find . -mindepth 1 -maxdepth 1 -type l)
270 if [ -n "$symlinks" ] ; then
271 cp -P $symlinks "$D$portage_base/$x" || die "cp failed"
272 fi
273 done
274
275 # Symlinks to directories cause up/downgrade issues and the use of these
276 # modules outside of portage is probably negligible.
277 for x in "${D}${portage_base}/pym/"{cache,elog_modules} ; do
278 [ ! -L "${x}" ] && continue
279 die "symlink to directory will cause upgrade/downgrade issues: '${x}'"
280 done
281
282 exeinto ${portage_base}/pym/portage/tests
283 doexe "${S}"/pym/portage/tests/runTests
284
285 doman "${S}"/man/*.[0-9]
286 if use linguas_pl; then
287 doman -i18n=pl "${S_PL}"/man/pl/*.[0-9]
288 doman -i18n=pl_PL.UTF-8 "${S_PL}"/man/pl_PL.UTF-8/*.[0-9]
289 fi
290
291 dodoc "${S}"/{ChangeLog,NEWS,RELEASE-NOTES}
292 use doc && dohtml -r "${S}"/doc/*
293 use epydoc && dohtml -r "${WORKDIR}"/api
294
295 dodir /usr/bin
296 for x in ebuild egencache emerge portageq quickpkg repoman ; do
297 dosym ../${libdir}/portage/bin/${x} /usr/bin/${x}
298 done
299
300 dodir /usr/sbin
301 local my_syms="archive-conf
302 dispatch-conf
303 emaint
304 emerge-webrsync
305 env-update
306 etc-update
307 fixpackages
308 regenworld"
309 local x
310 for x in ${my_syms}; do
311 dosym ../${libdir}/portage/bin/${x} /usr/sbin/${x}
312 done
313 dosym env-update /usr/sbin/update-env
314 dosym etc-update /usr/sbin/update-etc
315
316 dodir /etc/portage
317 keepdir /etc/portage
318 }
319
320 pkg_preinst() {
321 if ! use build && ! has_version dev-python/pycrypto && \
322 ! has_version '>=dev-lang/python-2.6[ssl]' ; then
323 ewarn "If you are an ebuild developer and you plan to commit ebuilds"
324 ewarn "with this system then please install dev-python/pycrypto or"
325 ewarn "enable the ssl USE flag for >=dev-lang/python-2.6 in order"
326 ewarn "to enable RMD160 hash support."
327 ewarn "See bug #198398 for more information."
328 fi
329 if [ -f "${ROOT}/etc/make.globals" ]; then
330 rm "${ROOT}/etc/make.globals"
331 fi
332
333 [[ -n $PORTDIR_OVERLAY ]] && has_version "<${CATEGORY}/${PN}-2.1.6.12"
334 REPO_LAYOUT_CONF_WARN=$?
335 }
336
337 pkg_postinst() {
338 # Compile all source files recursively. Any orphans
339 # will be identified and removed in postrm.
340 python_mod_optimize /usr/$(get_libdir)/portage/pym
341
342 if [ $REPO_LAYOUT_CONF_WARN = 0 ] ; then
343 ewarn
344 echo "If you want overlay eclasses to override eclasses from" \
345 "other repos then see the portage(5) man page" \
346 "for information about the new layout.conf and repos.conf" \
347 "configuration files." \
348 | fmt -w 75 | while read -r ; do ewarn "$REPLY" ; done
349 ewarn
350 fi
351
352 einfo
353 einfo "For help with using portage please consult the Gentoo Handbook"
354 einfo "at http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3"
355 einfo
356 }
357
358 pkg_postrm() {
359 python_mod_cleanup /usr/$(get_libdir)/portage/pym
360 }